// An exception test for JSwat.
// $Id: excptest.java 716 2002-12-01 20:10:18Z nfiedler $

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class excptest implements ActionListener {
    JButton npeButton;
    JButton nmeButton;
    JButton uceButton;

    /**
     * Tests exception handling.
     */
    public excptest() {
	JFrame fr = new JFrame("exception test");
        Container pane = fr.getContentPane();
        pane.setLayout(new GridLayout(3, 1));

        npeButton = new JButton("Null ptr exception");
        pane.add(npeButton);
        npeButton.addActionListener(this);

        nmeButton = new JButton("Exception w/o msg");
        pane.add(nmeButton);
        nmeButton.addActionListener(this);

        uceButton = new JButton("Uncaught exception");
        pane.add(uceButton);
        uceButton.addActionListener(this);

        fr.addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent e) {
		    System.exit(0);
		}
	    });
        fr.setSize(200, 200);
        fr.show();
    }

    public void actionPerformed(ActionEvent ae) {
        Object src = ae.getSource();
        if (src == npeButton) {
            throw new NullPointerException("test exception");
        } else if (src == nmeButton) {
            throw new MyException();
        } else {
            Thread th = new Thread(new Runnable() {
                    public void run() {
                        throw new NullPointerException("uncaught exception");
                    }
                });
            th.start();
        }
    }

    public static void main(String[] args) {
        new excptest();
    }
}

class MyException extends RuntimeException {

    public String getMessage() {
        return null;
    }
}
